Index: docs/en_US/status.html
===================================================================
--- docs/en_US/status.html	(revision 4927)
+++ docs/en_US/status.html	(working copy)
@@ -14,7 +14,8 @@
 
 <p>
 The Server Status dialogue displays the current connections to each
-database, the user that is connected, the process ID, the current
+database, the user that is connected, the process ID, the client address 
+and start time (on PostgreSQL 8.1 and above), the current
 query being executed (if any), and the query start time (where appropriate) 
 on PostgreSQL 7.4 and above on the Status tab.
 </p>
Index: src/frm/frmStatus.cpp
===================================================================
--- src/frm/frmStatus.cpp	(revision 4927)
+++ src/frm/frmStatus.cpp	(working copy)
@@ -110,10 +110,13 @@
     statusList->AddColumn(_("Database"), 70);
     statusList->AddColumn(_("User"), 70);
     if (connection->BackendMinimumVersion(8, 1))
+	{
         statusList->AddColumn(_("Client"), 70);
+		statusList->AddColumn(_("Client start"), 80);
+	}
 
     if (connection->BackendMinimumVersion(7, 4))
-        statusList->AddColumn(_("Start"), 50);
+        statusList->AddColumn(_("Query start"), 50);
 
     statusList->AddColumn(_("Query"), 500);
 
@@ -317,6 +320,8 @@
                         if (client == wxT(":-1"))
                             client = _("local pipe");
                         statusList->SetItem(row, colpos++, client);
+
+						statusList->SetItem(row, colpos++, dataSet1->GetVal(wxT("backend_start")));
                     }
                     if (connection->BackendMinimumVersion(7, 4))
 					{
